<?php

namespace SuperRhino\AppStoreServerApi\Response;

use Carbon\Carbon;

class ExtendRenewalDateResponse extends AbstractResponse {

    /**
     * The date that the successful subscription-renewal extension begins.
     */
    public Carbon $effectiveDate;

    /**
     * The original transaction identifier of the subscription that experienced a service interruption.
     */
    public string $originalTransactionId;

    /**
     * A Boolean value that indicates whether the subscription-renewal-date extension succeeded.
     */
    public bool $success;

    /**
     * A unique ID that identifies subscription-purchase events including subscription renewals, across devices.
     */
    public string $webOrderLineItemId;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'effectiveDate':
                return Carbon::createFromTimestampMs($value);
            default:
                return $value;
        }
    }

}