<?php

namespace SuperRhino\AppStoreServerApi\Response;

use SuperRhino\AppStoreServerApi\Util;

class NotificationHistoryResponseItem extends AbstractResponse {

    /**
     * The result of the App Store server’s attempt to send the notification to your server’s App Store Server Notifications V2 endpoint.
     */
    public string $firstSendAttemptResult;

    /**
     * The cryptographically signed payload, in JSON Web Signature (JWS) format, containing the original response body of a version 2 notification. For more information, see signedPayload in App Store Server Notifications.
     */
    public ServerNotificationsPayload $signedPayload;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'signedPayload':
                return new ServerNotificationsPayload(Util::unsafeDecodeJWS($value));
            default:
                return $value;
        }
    }

}