<?php

namespace SuperRhino\AppStoreServerApi\Response;

class StatusResponse extends AbstractResponse {

    /**
     * An array of information for auto-renewable subscriptions, including App Store-signed transaction information and App Store-signed renewal information.
     * @var SubscriptionGroupIdentifierItem[]
     */
    public array $data;

    /**
     * The server environment, sandbox or production, in which the App Store generated the response.
     */
    public string $environment;

    /**
     * Your app’s App Store identifier.
     */
    public int $appAppleId;

    /**
     * Your app’s bundle identifier.
     */
    public string $bundleId;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'data':
                return array_map(function ($data) {
                    return new SubscriptionGroupIdentifierItem($data);
                }, $value);
            default:
                return $value;
        }
    }

}