<?php

namespace SuperRhino\AppStoreServerApi\Response;

use SuperRhino\AppStoreServerApi\Util;

class TransactionInfoResponse extends AbstractResponse {

    /**
     * A customer’s in-app purchase transaction, signed by Apple, in JSON Web Signature (JWS) format.
     * @var JWSTransaction
     */
    public JWSTransaction $signedTransactionInfo;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'signedTransactionInfo':
                return new JWSTransaction(Util::unsafeDecodeJWS($value));
            default:
                return $value;
        }
    }
}